/*
	接口统一管理
*/
const apiurl = {
	// 用户注册登陆
	login: {
		url: '/auth/accountLogin',
		type: 'post'
	},
	//登录用户信息
	memberInfo: {
		url: '/memberInfo/getInfoById',
		type: 'get'
	},
	// 重新登录
	reLogin: {
		url: '/auth/login',
		type: 'post'
	},
	// 修改密码
	updatePassword: {
		url: '/memberInfo/updatePassword',
		type: 'put'
	},
	// 修改用户信息
	updateMemberInfo: {
		url: '/memberInfo/update',
		type: 'put'
	},
	//关于我们
	getCompanyInfo: {
		url: '/companyInfo/getCompanyInfo',
		type: 'get'
	},
	//代理人端首页信息
	indexData: {
		url: '/agentInfo/index',
		type: 'get'
	},
	//轮播图
	swiperList: {
		url: '/advList/pageList',
		type: 'get'
	},
	//轮播图详情
	swiperDetails: {
		url: '/advList/selectById',
		type: 'get'
	},
	//积分记录
	creditLog: {
		url: '/memberCreditLog/pageList',
		type: 'get'
	},
	//安全学习列表分类
	getclassify: {
		url: '/classifyInfo/pageList',
		type: 'get'
	},
	//安全学习列表
	studyLib: {
		url: '/studyLib/pageList',
		type: 'get'
	},
	//课程详情
	courseDetails: {
		url: '/studyLib/selectById',
		type: 'get'
	},
	//添加阅读量
	addViewCount: {
		url: '/studyLib/addViewCount',
		type: 'put',
		custom:{
			noload:true
		}
	},
	// 试卷做题
	//获取分类下试卷
	findPager: {
		url: '/paperInfo/findPager',
		type: 'get',
	},
	//获取试卷下题目
	findPagerTopic: {
		url: '/paperInfo/findPagerTopic',
		type: 'get'
	},
	//试卷提交
	paperSubmit: {
		url: '/paperInfo/paperSubmit',
		type: 'put'
	},
	//获取答题卡
	findPagerResult: {
		url: '/paperInfo/findPagerResult',
		type: 'get'
	},
	//答题卡解析详情
	findAnswerResult: {
		url: '/paperInfo/findAnswerResult',
		type: 'get'
	},
	// 云超市
	//商品分类
	goodsTypeList: {
		url: '/goods/pageClassList',
		type: 'get'
	},
	//商品列表
	memberGoodList: {
		url: '/goods/pageList',
		type: 'get'
	},
	//商品列表
	memberGoodDetails: {
		url: '/goods/selectById',
		type: 'get'
	},
	//兑换商品
	exchangeGoods: {
		url: '/goods/exchangeGoods',
		type: 'post'
	},
	//奖品兑换列表
	memberExchangeRecord: {
		url: '/memberExchangeRecord/pageList',
		type: 'get'
	},
	//兑换详情
	exchangeDetails: {
		url: '/memberExchangeRecord/selectById',
		type: 'get'
	},
	//查询登录用户积分
	memberCredit: {
		url: '/memberCreditLog/getMemberCredit',
		type: 'get'
	},
	//规则
	memberCreditDesc: {
		url: '/memberCreditDesc/getByName',
		type: 'get'
	},
}


/*
* 特殊处理接口
*/ 
const otherApiUrl = {
	// 文件上传
	uploadFile: '/file/upload/single/minio',
}

export {
	apiurl,
	otherApiUrl
}